# FocusShader

## Import

FocusShader is an addon, and must be imported explicitly, see [Installation#Addons](https://threejs.org/manual/#en/installation).

```js
import { FocusShader } from 'three/addons/shaders/FocusShader.js';
```

## Properties

### .FocusShader : ShaderMaterial~Shader (inner, constant)

Focus shader based on [PaintEffect postprocess from ro.me](http://code.google.com/p/3-dreams-of-black/source/browse/deploy/js/effects/PaintEffect.js).

## Source

[examples/jsm/shaders/FocusShader.js](https://github.com/mrdoob/three.js/blob/master/examples/jsm/shaders/FocusShader.js)